<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__auth__pk__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_auth_pk_info_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__auth__pk__info__t_1a72a59bef9ff47998951e1bed4e653ebb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_gap_auth_pk_info_t::passkey</definition>
        <argsstring />
        <name>passkey</name>
        <briefdescription>
<para>6-digit decimal number (authentication passkey) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="538" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="538" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__auth__pk__info__t_1af63b274d7c139d01c178f80b9d84e5cc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_auth_pk_info_t::accept</definition>
        <argsstring />
        <name>accept</name>
        <briefdescription>
<para>Accept or reject passkey entry request. </para>        </briefdescription>
        <detaileddescription>
<para>Allowed values are, CY_BLE_GAP_REJECT_PASSKEY_REQ CY_BLE_GAP_ACCEPT_PASSKEY_REQ </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="544" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="544" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__auth__pk__info__t_1a1fd44663f118371b0977c0c7202ede34" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_auth_pk_info_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>bdHandle </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="547" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="547" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Authentication Passkey Information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="549" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="535" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="536" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__auth__pk__info__t_1af63b274d7c139d01c178f80b9d84e5cc" virt="non-virtual"><scope>cy_stc_ble_gap_auth_pk_info_t</scope><name>accept</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__auth__pk__info__t_1a1fd44663f118371b0977c0c7202ede34" virt="non-virtual"><scope>cy_stc_ble_gap_auth_pk_info_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__auth__pk__info__t_1a72a59bef9ff47998951e1bed4e653ebb" virt="non-virtual"><scope>cy_stc_ble_gap_auth_pk_info_t</scope><name>passkey</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>